summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorUlf <ulf.hofemeier@intel.com>2012-10-02 08:58:25 -0700
committerUlf <ulf.hofemeier@intel.com>2012-10-02 08:58:25 -0700
commit3aa94bb5874991ba92ffe52b384f5fb3ddf53a1c (patch)
tree1c148feadf76d107051bf15da3b7dbf1409cdb28 /bootstrap
downloadopenbox-3aa94bb5874991ba92ffe52b384f5fb3ddf53a1c.tar.gz
openbox-3aa94bb5874991ba92ffe52b384f5fb3ddf53a1c.tar.bz2
openbox-3aa94bb5874991ba92ffe52b384f5fb3ddf53a1c.zip
Initial import of openbox.submit/trunk/20121002.160201
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap18
1 files changed, 18 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..6a5b10f
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+sh() {
+ /bin/sh -c "set -x; $*"
+}
+
+export WANT_AUTOMAKE=1.9
+
+sh autopoint --force || exit 1 # for GNU gettext
+sh libtoolize --copy --force --automake || exit 1
+sh aclocal -I m4 $ACLOCAL_FLAGS || exit 1
+#sh autoheader || exit 1
+sh autoconf || exit 1
+sh automake --include-deps --add-missing --copy || exit 1
+
+echo
+echo You are now ready to run ./configure
+echo enjoy!